Tools used by OpenStack Documentation
Vous ne pouvez pas sélectionner plus de 25 sujets Les noms de sujets doivent commencer par une lettre ou un nombre, peuvent contenir des tirets ('-') et peuvent comporter jusqu'à 35 caractères.
Andreas Jaeger f13c79703a Cleanup py27 support il y a 2 jours
bin Cleanup doc-tools-check-languages il y a 7 mois
doc/source Merge "Remove some commented obsolete lines" il y a 7 mois
os_doc_tools Remove openstack-jsoncheck and openstack-indexpage il y a 7 mois
releasenotes Drop python 2.7 support and testing il y a 2 mois
sitemap Update sitemap for Python3 il y a 2 semaines
test Update hacking for Python3 il y a 1 semaine
.gitignore Switch to stestr il y a 1 an
.gitreview OpenDev Migration Patch il y a 11 mois
.mailmap Add .mailmap il y a 6 ans
.stestr.conf Switch to stestr il y a 1 an
.zuul.yaml Drop python 2.7 support and testing il y a 2 mois
CONTRIBUTING.rst setup.cfg: Cleanup and update some urls to latest il y a 5 mois
HACKING.rst setup.cfg: Cleanup and update some urls to latest il y a 5 mois
LICENSE Add LICENSE and README.rst il y a 6 ans
README.rst Replace git.openstack.org URLs with opendev.org URLs il y a 11 mois
RELEASE_NOTES.rst Fix URLs il y a 2 ans
bindep.txt add lower-constraints job il y a 2 ans
lower-constraints.txt tox: Keeping going with docs il y a 5 mois
requirements.txt Drop python 2.7 support and testing il y a 2 mois
setup.cfg Cleanup py27 support il y a 2 jours
setup.py Cleanup py27 support il y a 2 jours
test-requirements.txt Update hacking for Python3 il y a 1 semaine
tox.ini Drop python 2.7 support and testing il y a 2 mois

README.rst

Team and repository tags

image

OpenStack Doc Tools

This repository contains tools used by the OpenStack Documentation project.

For more details, see the OpenStack Documentation Contributor Guide.

Prerequisites

You need to have Python 2.7 installed for using the tools.

This package needs a few external dependencies including lxml. If you do not have lxml installed, you can either install python-lxml or have it installed automatically and build from sources. To build lxml from sources, you need a C compiler and the xml and xslt development packages installed.

To install python-lxml, execute the following based on your distribution.

On Fedora, RHEL 7, and CentOS 7:

$ yum install python-lxml

On openSUSE:

$ zypper in python-lxml

On Ubuntu:

$ apt-get install python-lxml

For building from source, install the dependencies of lxml.

On Fedora, RHEL 7, and CentOS 7:

$ yum install python-devel libxml2-devel libxslt-devel

On openSUSE:

$ zypper in libxslt-devel

On Ubuntu:

$ apt-get install libxml2-dev libxslt-dev